Index: SPECS/kernel.spec
===================================================================
--- SPECS.orig/kernel.spec
+++ SPECS/kernel.spec
@@ -331,6 +331,14 @@ Summary: The Linux kernel (the core of t
 %define kernel_image vmlinux
 %endif
 
+%ifarch %{arm}
+%define all_arch_configs kernel-%{version}-arm*.config
+%define image_install_path boot
+%define hdrarch arm
+%define make_target vmlinux
+%define kernel_image vmlinux
+%endif
+
 %if %{nopatches}
 %define with_modsign 0
 %endif
@@ -351,7 +359,7 @@ Summary: The Linux kernel (the core of t
 
 # We don't build a kernel on i386; we only do kernel-headers there,
 # and we no longer build for 31bit S390.
-%define nobuildarches i386 s390
+%define nobuildarches i386 s390 %{arm}
 
 %ifarch %nobuildarches
 %define with_up 0
@@ -398,10 +406,10 @@ Group: System Environment/Kernel
 License: GPLv2
 URL: http://www.kernel.org/
 Version: %{rpmversion}
-Release: %{pkg_release}
+Release: %{pkg_release}.fa1
 # DO NOT CHANGE THE 'ExclusiveArch' LINE TO TEMPORARILY EXCLUDE AN ARCHITECTURE BUILD.
 # SET %nobuildarches (ABOVE) INSTEAD
-ExclusiveArch: noarch %{all_x86} x86_64 ppc ppc64 ia64 sparc sparc64 s390x alpha alphaev56
+ExclusiveArch: noarch %{all_x86} x86_64 ppc ppc64 ia64 sparc sparc64 s390x alpha alphaev56 %{arm}
 ExclusiveOS: Linux
 Provides: kernel-drm = 4.3.0
 Provides: kernel-drm-nouveau = 6
@@ -477,6 +485,8 @@ Source90: config-sparc64-generic
 Source91: config-sparc64
 Source92: config-sparc64-smp
 
+Source100: config-arm
+
 %if %{using_upstream_branch}
 ### BRANCH PATCH ###
 %else
